PETSc version 3.15.5
Fix/Edit manual page

# MatInvertBlockDiagonalMat

set matrix C to be the inverted block diagonal of matrix A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatInvertBlockDiagonalMat(Mat A,Mat C)

Collective on Mat

### Input Parameters

| A | - the matrix

### Output Parameters

| C | - matrix with inverted block diagonal of A. This matrix should be created and may have its type set.

Notes: the blocksize of the matrix is used to determine the blocks on the diagonal of C

### See Also

MatInvertBockDiagonal()

### Level

advanced

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages